#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t;
    int n , m , k;
    scanf("%d",&t);
    int nizresenja[t-1];
    for(int i = 0 ; i < t ; i++){
        scanf("%d%d%d",&n,&m,&k);
        int grupa = n / k;
        int rez = 0;
        for(int i = 1; i <= grupa ; i++){
                rez += i;

            }
        //////////////////////////////////////
        if(grupa * k == n){
            rez *= k *rez;
        }
        else{
            int razlika = n%k;
            int niza[k-1];
            int a = 0;
            while(razlika!=0){
                niza[a] = rez + (rez+1);
                a++;
                razlika--;
            }
            for(int b = 0 ; b <k ; b++){
                rez += niza[b];
            }

        }
        if(rez<=m)
            nizresenja[i] = 1;
        else
            nizresenja[i] = 0;

    }
    for(int c = 0; c<t ; c++)
    {
        if(nizresenja[c] == 1)
            printf("Tak\n");
        else
            printf("Nie\n");
            }

    return 0;
}